{
  TUTOR1.PAS

  a very first example
}

uses dos, crt, _Video13;

var
  sonicGFX : TSprite; { this is a sprite }
  sonicPAL : TPal;    { this is a 256 color palette }

begin
  { initia lise the Video13h variables. Call this procedure first }
  InitVideo13h;

  { load the Sonic-Palette palette }
  LoadPalette( '.\PAL\SONIC.PAL' , sonicPAL );

  { loads SONIC1-1.CLB to the sonicGFX sprite }
  LoadImprocesCLB( '.\GFX\SONIC1-1.CLB' , sonicGFX );

  { switch on the 320x200x256 Mode }
  SetVideoMode( Mode13h );

  { sets the above loaded palette }
  SetPalette( sonicPAL );

  { all outputs go to the VisualPage at SegA000 -
    the real VGA memory VisualPage is a build in page }
  ActivePage( VisualPage );

  { now we draw the Sprite sonicGFX to the point 0,0 of VisualPage. The
    reference Point 0,0 is the upper left point of the sprite.
    The Window means that it recognizes borders set before with
    SetWindow( x1,y1 ,x2,y2) [ (x1, y1) upper left point of the window,
    (x2, y2) bottom right point of the window ].
    Eff ist a short form for Effective. This means, that the sprite routine
    is optimized for drawing by using DWords ( 32-bit movements )
    Normally you'll use the Effective-Routines only

    Screen definition:

    0, 0
      +-----------------------+
      !                       !
      !                       !
      !                       !
      !                       !
      !                       !
      !                       !
      +-----------------------+
                           319, 199

    }
  PutSpriteWindowEff( 0, 0, sonicGFX );

  { Equal to PutSpriteWindowEff, except that you have to give a parameter
    for a transparent color. This color won't be drawn on the screen, so
    you have the facility to draw transparent sprites.
    So the following procedure will draw the sonicGFX to 0,0 of the
    VisualPage with the transparent color 0 }
  PutSpriteWindowTransEff( 10, 15, 0, sonicGFX );

  repeat until keypressed; { wait for a key pressed }

  { gives the sprite memory back to system }
  CloseSprite( sonicGFX );

  { switch back to normal text mode 80x25 }
  SetVideoMode( Mode3h );

  { Closes the Video13h. Should be the last instruction in your programm }
  CloseVideo13h;
end.